org.appng.xml.platform

## Class Param

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Param

- All Implemented Interfaces:
    Serializable

      public class Param
      extends BaseObject
      implements Serializable

  A parameter, used for the `UrlSchema` of a `PageDefinition` and for parametrizing `Action`s and `Datasource`s.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_default`
    `protected String` | `name`
    `protected ParamType` | `type`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Param()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefault()` The default-value for this parameter.
    `String` | `getName()` The name of the parameter, must start with a character, after that only characters, digits and underscore are allowed.
    `ParamType` | `getType()` The `ParamType` for this parameter.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setDefault(String value)` Sets the value of the default property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setType(ParamType value)` Sets the value of the type property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### name

          protected String name

    - #### type

          protected ParamType type

    - #### _default

          protected String _default

  - ### Constructor Detail

    - #### Param

          public Param()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      The name of the parameter, must start with a character, after that only characters, digits and underscore are allowed.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public ParamType getType()

      The `ParamType` for this parameter.
      Returns:
        possible object is `ParamType`

    - #### setType

          public void setType(ParamType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `ParamType`

    - #### getDefault

          public String getDefault()

      The default-value for this parameter.
      Returns:
        possible object is `String`

    - #### setDefault

          public void setDefault(String value)

      Sets the value of the default property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.